com.google.appengine.api.datastore

## Enum CloudDatastoreRemoteServiceConfig.AppId.Location

- java.lang.Object
- - java.lang.Enum<CloudDatastoreRemoteServiceConfig.AppId.Location>
  - - com.google.appengine.api.datastore.CloudDatastoreRemoteServiceConfig.AppId.Location

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CloudDatastoreRemoteServiceConfig.AppId.Location>
  Enclosing class:
    CloudDatastoreRemoteServiceConfig.AppId

      public static enum CloudDatastoreRemoteServiceConfig.AppId.Location
      extends java.lang.Enum<CloudDatastoreRemoteServiceConfig.AppId.Location>

  Locations for App Engine applications.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASIA_NORTHEAST1`
    `AUSTRALIA_SOUTHEAST1`
    `EUROPE_WEST`
    `EUROPE_WEST1`
    `EUROPE_WEST3`
    `US_CENTRAL`
    `US_EAST1`
    `US_EAST4`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CloudDatastoreRemoteServiceConfig.AppId.Location` | `fromString(java.lang.String locationString)` Returns the `CloudDatastoreRemoteServiceConfig.AppId.Location` for a location string.
    `static CloudDatastoreRemoteServiceConfig.AppId.Location` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CloudDatastoreRemoteServiceConfig.AppId.Location[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### US_CENTRAL

          public static final CloudDatastoreRemoteServiceConfig.AppId.Location US_CENTRAL

    - #### EUROPE_WEST

          public static final CloudDatastoreRemoteServiceConfig.AppId.Location EUROPE_WEST

    - #### US_EAST1

          public static final CloudDatastoreRemoteServiceConfig.AppId.Location US_EAST1

    - #### ASIA_NORTHEAST1

          public static final CloudDatastoreRemoteServiceConfig.AppId.Location ASIA_NORTHEAST1

    - #### US_EAST4

          public static final CloudDatastoreRemoteServiceConfig.AppId.Location US_EAST4

    - #### AUSTRALIA_SOUTHEAST1

          public static final CloudDatastoreRemoteServiceConfig.AppId.Location AUSTRALIA_SOUTHEAST1

    - #### EUROPE_WEST1

          public static final CloudDatastoreRemoteServiceConfig.AppId.Location EUROPE_WEST1

    - #### EUROPE_WEST3

          public static final CloudDatastoreRemoteServiceConfig.AppId.Location EUROPE_WEST3

  - ### Method Detail

    - #### values

          public static CloudDatastoreRemoteServiceConfig.AppId.Location[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CloudDatastoreRemoteServiceConfig.AppId.Location c : CloudDatastoreRemoteServiceConfig.AppId.Location.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CloudDatastoreRemoteServiceConfig.AppId.Location valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromString

          public static CloudDatastoreRemoteServiceConfig.AppId.Location fromString(java.lang.String locationString)

      Returns the `CloudDatastoreRemoteServiceConfig.AppId.Location` for a location string. The location string is case-insensitive and may use hyphens to separate components. For example, given the location string `us-central`, this method returns `US_CENTRAL`.
      Throws:
        `java.lang.IllegalArgumentException` - if `locationString` does not correspond to a known `CloudDatastoreRemoteServiceConfig.AppId.Location`
        `java.lang.NullPointerException` - if `locationString` is null